Openi DeveloperDeveloper

Get a dataset

GET
/v1/datasets/{dataset_id}
AuthorizationBearer <token>

In: header

Path Parameters

dataset_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "name": "string",  "kind": "source",  "source_job_id": "string",  "expires_at": "2019-08-24T14:15:22Z",  "external_id": "string",  "record_count": -9007199254740991,  "fields": [    {      "name": "string",      "type": "string",      "scale": 0,      "required": true,      "normalize": [        "trim"      ],      "index": true    }  ],  "computed": [    {      "name": "string",      "from": "string",      "normalize": [        "trim"      ],      "index": true    }  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}